/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model234
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model234 {
  @SerializedName("document_type_name")
  private String documentTypeName = null;

  @SerializedName("document_name")
  private String documentName = null;

  @SerializedName("document_description")
  private String documentDescription = null;

  @SerializedName("content_type")
  private String contentType = null;

  @SerializedName("content_data")
  private byte[] contentData = null;

  public Model234 documentTypeName(String documentTypeName) {
    this.documentTypeName = documentTypeName;
    return this;
  }

   /**
   * Name of document type.
   * @return documentTypeName
  **/
  @ApiModelProperty(example = "Visa Copy", required = true, value = "Name of document type.")
  public String getDocumentTypeName() {
    return documentTypeName;
  }

  public void setDocumentTypeName(String documentTypeName) {
    this.documentTypeName = documentTypeName;
  }

  public Model234 documentName(String documentName) {
    this.documentName = documentName;
    return this;
  }

   /**
   * Name of document.
   * @return documentName
  **/
  @ApiModelProperty(value = "Name of document.")
  public String getDocumentName() {
    return documentName;
  }

  public void setDocumentName(String documentName) {
    this.documentName = documentName;
  }

  public Model234 documentDescription(String documentDescription) {
    this.documentDescription = documentDescription;
    return this;
  }

   /**
   * Description of the document given by the uploader.
   * @return documentDescription
  **/
  @ApiModelProperty(value = "Description of the document given by the uploader.")
  public String getDocumentDescription() {
    return documentDescription;
  }

  public void setDocumentDescription(String documentDescription) {
    this.documentDescription = documentDescription;
  }

  public Model234 contentType(String contentType) {
    this.contentType = contentType;
    return this;
  }

   /**
   * Content type of the document.
   * @return contentType
  **/
  @ApiModelProperty(example = "image/png", required = true, value = "Content type of the document.")
  public String getContentType() {
    return contentType;
  }

  public void setContentType(String contentType) {
    this.contentType = contentType;
  }

  public Model234 contentData(byte[] contentData) {
    this.contentData = contentData;
    return this;
  }

   /**
   * Content data of the document.
   * @return contentData
  **/
  @ApiModelProperty(required = true, value = "Content data of the document.")
  public byte[] getContentData() {
    return contentData;
  }

  public void setContentData(byte[] contentData) {
    this.contentData = contentData;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model234 model234 = (Model234) o;
    return Objects.equals(this.documentTypeName, model234.documentTypeName) &&
        Objects.equals(this.documentName, model234.documentName) &&
        Objects.equals(this.documentDescription, model234.documentDescription) &&
        Objects.equals(this.contentType, model234.contentType) &&
        Objects.equals(this.contentData, model234.contentData);
  }

  @Override
  public int hashCode() {
    return Objects.hash(documentTypeName, documentName, documentDescription, contentType, contentData);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model234 {\n");
    
    sb.append("    documentTypeName: ").append(toIndentedString(documentTypeName)).append("\n");
    sb.append("    documentName: ").append(toIndentedString(documentName)).append("\n");
    sb.append("    documentDescription: ").append(toIndentedString(documentDescription)).append("\n");
    sb.append("    contentType: ").append(toIndentedString(contentType)).append("\n");
    sb.append("    contentData: ").append(toIndentedString(contentData)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

